org.apache.olingo.server.api.processor

## Interface MediaEntityProcessor

- All Superinterfaces:
    EntityProcessor, Processor

      public interface MediaEntityProcessor
      extends EntityProcessor

  Processor interface for handling Entity Media.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createMediaEntity(ODataRequest request, ODataResponse response, UriInfo uriInfo, ContentType requestFormat, ContentType responseFormat)` Creates an entity with sent media data in the persistence and puts content, status and Location into the response.
    `void` | `deleteMediaEntity(ODataRequest request, ODataResponse response, UriInfo uriInfo)` Deletes entity media data and associated entity from persistence and puts the status into the response.
    `void` | `readMediaEntity(ODataRequest request, ODataResponse response, UriInfo uriInfo, ContentType responseFormat)` Reads entity media data from persistence and puts content and status into the response.
    `void` | `updateMediaEntity(ODataRequest request, ODataResponse response, UriInfo uriInfo, ContentType requestFormat, ContentType responseFormat)` Updates entity media data in the persistence and puts content and status into the response.

    - ### Methods inherited from interface org.apache.olingo.server.api.processor.EntityProcessor

      `createEntity, deleteEntity, readEntity, updateEntity`

    - ### Methods inherited from interface org.apache.olingo.server.api.processor.Processor

      `init`

- - ### Method Detail

    - #### readMediaEntity

          void readMediaEntity(ODataRequest request,
                               ODataResponse response,
                               UriInfo uriInfo,
                               ContentType responseFormat)
                        throws ODataApplicationException,
                               ODataLibraryException

      Reads entity media data from persistence and puts content and status into the response.
      Parameters:
        `request` - OData request object containing raw HTTP information
        `response` - OData response object for collecting response data
        `uriInfo` - information of a parsed OData URI
        `responseFormat` - requested content type after content negotiation
      Throws:
        `ODataApplicationException` - if the service implementation encounters a failure
        `ODataLibraryException`

    - #### createMediaEntity

          void createMediaEntity(ODataRequest request,
                                 ODataResponse response,
                                 UriInfo uriInfo,
                                 ContentType requestFormat,
                                 ContentType responseFormat)
                          throws ODataApplicationException,
                                 ODataLibraryException

      Creates an entity with sent media data in the persistence and puts content, status and Location into the response.
      Parameters:
        `request` - OData request object containing raw HTTP information
        `response` - OData response object for collecting response data
        `uriInfo` - information of a parsed OData URI
        `requestFormat` - content type of body sent with request
        `responseFormat` - requested content type after content negotiation
      Throws:
        `ODataApplicationException` - if the service implementation encounters a failure
        `ODataLibraryException`

    - #### updateMediaEntity

          void updateMediaEntity(ODataRequest request,
                                 ODataResponse response,
                                 UriInfo uriInfo,
                                 ContentType requestFormat,
                                 ContentType responseFormat)
                          throws ODataApplicationException,
                                 ODataLibraryException

      Updates entity media data in the persistence and puts content and status into the response.
      Parameters:
        `request` - OData request object containing raw HTTP information
        `response` - OData response object for collecting response data
        `uriInfo` - information of a parsed OData URI
        `requestFormat` - content type of body sent with request
        `responseFormat` - requested content type after content negotiation
      Throws:
        `ODataApplicationException` - if the service implementation encounters a failure
        `ODataLibraryException`

    - #### deleteMediaEntity

          void deleteMediaEntity(ODataRequest request,
                                 ODataResponse response,
                                 UriInfo uriInfo)
                          throws ODataApplicationException,
                                 ODataLibraryException

      Deletes entity media data and associated entity from persistence and puts the status into the response.
      Parameters:
        `request` - OData request object containing raw HTTP information
        `response` - OData response object for collecting response data
        `uriInfo` - information of a parsed OData URI
      Throws:
        `ODataApplicationException` - if the service implementation encounters a failure
        `ODataLibraryException`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.